# $Revision: 1.99 $, $Date: 2010/11/26 09:58:58 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_with	vivified	# build (internal) Vivified Flash Debugger
#
Summary:	Flash animations rendering library
Summary(pl.UTF-8):	Biblioteka renderująca animacje flash
Name:		swfdec
Version:	0.8.4
Release:	3
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://swfdec.freedesktop.org/download/swfdec/0.8/%{name}-%{version}.tar.gz
# Source0-md5:	aece501d0e73f3e564200a44ec03c385
URL:		http://swfdec.freedesktop.org/wiki/
BuildRequires:	alsa-lib-devel >= 1.0
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1:1.6
BuildRequires:	cairo-devel >= 1.6.0
BuildRequires:	ffmpeg-devel
BuildRequires:	glib2-devel >= 1:2.10.0
BuildRequires:	gstreamer-devel >= 0.10.11
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.17
%{?with_vivified:BuildRequires:	gtk+2-devel >= 2:2.11.6}
BuildRequires:	gtk+2-devel >= 2:2.8.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.6}
BuildRequires:	libmad-devel >= 0.14.2b
BuildRequires:	liboil-devel >= 0.3.9
BuildRequires:	libsoup-devel >= 2.2.100
BuildRequires:	libtool
%{?with_vivified:BuildRequires:	ming-devel >= 0.4.0-0.beta5}
BuildRequires:	pango-devel >= 1:1.10.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	zlib-devel >= 1.1.4
Obsoletes:	gimp-plugin-swfdec
Obsoletes:	libswfdec0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libswfdec is a library for rendering Flash animations. Currently it
handles most Flash 3 animations and some Flash 4. No interactivity is
supported yet.

%description -l pl.UTF-8
Biblioteka libswfdec przeznaczona jest do odtwarzania animacji flash.
Obecnie potrafi wyświetlić większość animacji Flash 3 i część Flash 4.
Interaktywność nie jest jeszcze obsługiwana.

%package devel
Summary:	Header file required to build programs using swfdec library
Summary(pl.UTF-8):	Pliki nagłówkowe wymagane przez programy używające swfdec
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.2.0
Requires:	ffmpeg-devel
Requires:	glib2-devel >= 1:2.10.0
Requires:	gstreamer-devel >= 0.10.11
Requires:	libmad-devel >= 0.14.2b
Requires:	liboil-devel >= 0.3.9
Requires:	pango-devel >= 1:1.10.0
Obsoletes:	libswfdec0-devel

%description devel
Header files required to build programs using swfdec library.

%description devel -l pl.UTF-8
Pliki nagłówkowe niezbędne do kompilacji programów korzystających z
biblioteki swfdec.

%package static
Summary:	Static swfdec library
Summary(pl.UTF-8):	Statyczna biblioteka swfdec
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static swfdec library.

%description static -l pl.UTF-8
Statyczna biblioteka swfdec.

%package gtk
Summary:	swfdec-gtk library
Summary(pl.UTF-8):	Biblioteka swfdec-gtk
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description gtk
swfdec-gtk library.

%description gtk -l pl.UTF-8
Biblioteka swfdec-gtk.

%package gtk-devel
Summary:	Header files for swfdec-gtk library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki swfdec-gtk
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gtk = %{version}-%{release}
Requires:	alsa-lib-devel >= 1.0
Requires:	gtk+2-devel >= 2:2.8.0
Requires:	libsoup-devel >= 2.2.100

%description gtk-devel
Header files for swfdec-gtk library.

%description gtk-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki swfdec-gtk.

%package gtk-static
Summary:	Static swfdec-gtk library
Summary(pl.UTF-8):	Statyczna biblioteka swfdec-gtk
Group:		X11/Development/Libraries
Requires:	%{name}-gtk-devel = %{version}-%{release}

%description gtk-static
Static swfdec-gtk library.

%description gtk-static -l pl.UTF-8
Statyczna biblioteka swfdec-gtk.

%package apidocs
Summary:	swfdec API documetation
Summary(pl.UTF-8):	Dokumentacja API swfdec
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
swfdec API documetation.

%description apidocs -l pl.UTF-8
Dokumentacja API swfdec.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-ffmpeg \
	--enable-gstreamer \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--enable-gtk \
	--enable-mad \
	%{?with_vivified:--enable-vivified} \
	--with-html-dir=%{_gtkdocdir}
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	gtk -p /sbin/ldconfig
%postun	gtk -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libswfdec-0.8.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libswfdec-0.8.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libswfdec-0.8.so
%{_libdir}/libswfdec-0.8.la
%dir %{_includedir}/swfdec-0.8
%{_includedir}/swfdec-0.8/swfdec
%{_pkgconfigdir}/swfdec-0.8.pc

%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libswfdec-0.8.a

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libswfdec-gtk-0.8.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libswfdec-gtk-0.8.so.0

%files gtk-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libswfdec-gtk-0.8.so
%{_libdir}/libswfdec-gtk-0.8.la
%{_includedir}/swfdec-0.8/swfdec-gtk
%{_pkgconfigdir}/swfdec-gtk-0.8.pc

%files gtk-static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libswfdec-gtk-0.8.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/swfdec
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: swfdec.spec,v $
Revision 1.99  2010/11/26 09:58:58  hawk
- release 3

Revision 1.98  2009/06/17 21:16:38  hawk
- release 2

Revision 1.97  2009/03/05 19:12:34  uzsolt
- typo

Revision 1.96  2009/02/27 03:15:53  wrobell
- ver. 0.8.4

Revision 1.95  2008/12/07 13:25:50  arekm
- up to 0.8.2

Revision 1.94  2008/11/09 17:08:55  arekm
- release 2

Revision 1.93  2008/10/13 11:53:54  sls
- BR: cairo-devel >= 1.6.0

Revision 1.92  2008/10/07 20:43:45  dzeus
- fixed empty changelog

Revision 1.91  2008/10/07 20:39:31  dzeus
 - 0.8.0 merged from DEVEL

Revision 1.87.2.3  2008/09/13 10:30:48  patrys
- 0.8.0

Revision 1.87.2.2  2008/09/13 10:20:42  patrys
- 0.7.4
- icons now part of swfdec-gnome

Revision 1.87.2.1  2008/06/26 13:42:03  patrys
- 0.7.2

Revision 1.87  2008/05/16 10:07:33  patrys
- 0.6.6

Revision 1.86  2008-04-16 19:58:42  megabajt
- added CVE reference for revision 1.85

Revision 1.85  2008-04-13 20:05:15  qboosh
- updated to 0.6.4 (security and crash fixes)
- CVE-2008-1834

Revision 1.84  2008-03-25 14:23:44  sls
- BR: gstreamer-plugins-base-devel >= 0.10.17
  (actually required gstreamer-pbutils-0.10.pc >= 0.10.15)

Revision 1.83  2008-03-11 20:04:40  patrys
- need more coffee and less manual merges
- rel 3

Revision 1.82  2008-03-11 19:48:55  patrys
- rebuild
- rel 2

Revision 1.81  2008-03-11 19:48:27  patrys
- fixed wrong commit (partial merge)

Revision 1.80  2008-03-11 19:41:00  patrys
- 0.6.0
- merged from DEVEL

Revision 1.78.2.2  2008-03-11 19:37:34  patrys
- 0.6.0

Revision 1.79  2008-02-07 13:33:48  glen
- rel 2 (ffmpeg)

Revision 1.78.2.1  2008-02-06 15:53:10  patrys
- 0.5.90

Revision 1.78  2007-12-18 19:49:55  vip
- up to 0.5.5

Revision 1.77  2007-12-16 12:03:41  qboosh
- package icons for swfdec-player from swfdec-gnome package
  (as subpackage to avoid library hicolor-icon-theme dependency)

Revision 1.76  2007-12-16 10:54:51  qboosh
- updated to 0.5.4 (sonames changed)

Revision 1.75  2007-11-04 14:37:24  qboosh
- updated to 0.5.3

Revision 1.74  2007/08/26 12:20:40  qboosh
- reverted a52dec BR (buggy ffmpeg dep)

Revision 1.73  2007/08/25 22:57:22  aredridel
- 0.5.2

Revision 1.72  2007/08/07 16:34:42  qboosh
- -gtk-devel R: libsoup-devel

Revision 1.71  2007/08/07 11:56:26  dzeus
- fixed BR: libsoup-devel

Revision 1.70  2007/08/07 11:52:45  dzeus
- up to 0.5.1 (finally play embedded Youtube movies)

Revision 1.69  2007/07/31 22:13:54  qboosh
- added gnome bcond (gnomevfs alias) for convenience
- License is LGPL v2.1+
- removed bogus BRs (a52dec-libs is ffmpeg dep, libselinux is gnomevfs dep)

Revision 1.68  2007/07/28 11:08:43  arvenil
- BR: libselinux-devel

Revision 1.67  2007/07/27 20:47:03  dzeus
- missing BR: a52dec-libs-devel

Revision 1.66  2007/07/27 19:01:45  megabajt
- updated to 0.5.0

Revision 1.65  2007/06/10 17:06:28  arekm
- up to 0.4.5

Revision 1.64  2007/04/28 20:25:32  qboosh
- separated libswfdec-gtk (and its -devel,-static)
- added gnomevfs bcond
- revised devel deps

Revision 1.63  2007/04/28 19:47:44  megabajt
- updated to 0.4.4
- added apidocs bcond

Revision 1.62  2007/03/23 19:41:58  wrobell
- rel. 1

Revision 1.61  2007/03/23 09:20:50  qboosh
- pkgconfig is still needed

Revision 1.60  2007/03/23 00:31:07  wrobell
- ver. 0.4.3
- fixed build requirements (pango-devel is required by gtk+2-devel)

Revision 1.59  2007/03/21 20:26:36  qboosh
- package apidocs
- updated BRs (+ffmpeg-devel,pango-devel for lib; alsa-devel for player)

Revision 1.58  2007/03/21 19:43:24  qboosh
- removed xulrunner BR (browser plugin moved to separate spec)

Revision 1.57  2007/03/21 13:58:24  qboosh
- Obsoletes: gimp-plugin-swfdec

Revision 1.56  2007/03/20 19:59:05  wrobell
- ver. 0.4.2

Revision 1.55  2007/02/23 03:15:05  glen
- todo is done

Revision 1.54  2007/02/23 03:12:18  glen
- blah, how many times it can go wrong

Revision 1.52  2007/02/23 03:09:55  glen
- rel 7

Revision 1.51  2007/02/23 03:09:40  glen
- blah, commit went to wrong branch
  but those shouldn't hurt on HEAD so just update commit msg

Revision 1.50  2007/02/23 03:07:21  glen
- add xulrunner patch
- builds with make -j1

Revision 1.49  2007/02/23 02:59:08  glen
- drop those unneccessary update deps commits, brr
- try use xulrunner

Revision 1.48  2007/02/23 02:50:11  glen
- browser plugins v2

Revision 1.47  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.46  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.45  2007/01/11 10:22:09  sls
- added as_needed.patch

Revision 1.44  2006/10/30 17:58:06  shadzik
- support mozilla-firefox-bin
- rel++

Revision 1.43  2006/07/15 20:25:21  freetz
- rel.5, updated deps, neverending libpng12.la story

Revision 1.42  2006/06/21 21:35:05  freetz
- rel.4, bleeding edge deps, use firefox for browser plguin build

Revision 1.41  2006/05/04 23:33:36  glen
- use browser plugins, rel 2

Revision 1.40  2006/05/04 21:41:19  glen
- 2>/dev/null macro parsing

Revision 1.39  2006/02/28 23:53:22  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.38  2006/01/14 17:17:31  qboosh
- updated to 0.3.6 (ready for gstreamer 0.10.x), removed obsolete configure patch

Revision 1.37  2005/09/05 15:31:40  freetz
- gimp bcond

Revision 1.36  2005/07/03 07:48:20  freetz
- crash circular build dependency (gstreamer bcond for bootstrap)

Revision 1.35  2005/05/22 10:34:29  qboosh
- updated to 0.3.5 (patch release), updated configure patch

Revision 1.34  2005/03/21 21:14:24  qboosh
- updated to 0.3.4, updated configure patch, removed obsolete am patch

Revision 1.33  2005/03/21 12:12:04  havner
- rel 2 for new liboil

Revision 1.32  2005/03/20 20:18:40  qboosh
- updated to 0.3.3, needs gstreamer now

Revision 1.31  2005/01/05 15:21:08  qboosh
- -devel deps, release 2

Revision 1.30  2004/11/27 18:52:09  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.29  2004/11/21 11:30:32  qboosh
- updated to 0.3.2, updated URLs, added gimp-plugin- package
- lib name changed, but it works much better than before

Revision 1.28  2004/10/29 11:18:00  paladine
- spelling fixes

Revision 1.27  2004/09/25 11:20:55  radek
- cosmetics (spaces -> tabs)

Revision 1.26  2004/03/17 01:54:01  grzegol
- rel. 3 to rebuild with gtk+2-2.4.0

Revision 1.25  2003/12/13 18:14:23  qboosh
- added types patch (fixes build on 64-bit archs)
- BR: pkgconfig, release 2

Revision 1.24  2003/12/09 15:14:56  qboosh
- s/mad-devel/libmad-devel/

Revision 1.23  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.22  2003/05/25 06:27:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/05/20 12:10:25  qboosh
- added mozilla 1.4b compatibility patch (already includes -DMOZ_X11)

Revision 1.20  2003/05/20 09:49:56  trojan
- updated to 0.2.2

Revision 1.19  2003/05/19 09:37:00  qboosh
- define MOZ_X11 to build on mozilla 1.4

Revision 1.18  2003/03/12 09:54:55  qboosh
- working Source URL, minor fixes where needed

Revision 1.17  2003/02/22 21:56:24  grzegol
- updated to 0.2.1
- updated configure patch
- updated %files

Revision 1.16  2003/01/28 13:21:03  wrobell
- fixed build requirements (sdl is required to build the player)

Revision 1.15  2003/01/25 15:16:36  aflinta
- regeneration is back

Revision 1.14  2003/01/25 13:45:41  aflinta
- corrected .pc file, release 2

Revision 1.13  2003/01/24 18:38:30  aflinta
- reverted last change which doesn't work

Revision 1.12  2003/01/24 18:26:19  mmazur
- That's kind of a wierd hack, but those macros should've been placed in
  acinclude.m4 in the first place

Revision 1.11  2003/01/24 18:10:18  aflinta
- temporary fix, disabling AM/AC regeneration and waiting for better solution

Revision 1.10  2003/01/24 18:01:40  mmazur
- damn rpm :)

Revision 1.9  2003/01/24 16:27:47  aflinta
- updated to version 0.2.0

Revision 1.8  2003/01/08 19:41:46  aflinta
- updated to version 0.1.3

Revision 1.7  2002/12/09 07:45:32  aflinta
- moved to /usr
- release 2

Revision 1.6  2002/12/02 11:06:27  ankry
- massive cleaning

Revision 1.5  2002/11/25 14:18:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.4  2002/11/08 22:52:18  kloczek
- added libswfdec0{,-devel} for allow upgrade from MDK.

Revision 1.3  2002/11/07 14:09:48  aflinta
- corrected include location i swfdec.pc file

Revision 1.2  2002/11/07 13:15:05  qboosh
- changed plugin name to mozilla-plugin-swfdec
- added lib*.so symlink to -devel
- BR: gtk+2-devel,libart_lgpl-devel,mad-devel,zlib-devel

Revision 1.1  2002/11/07 11:40:44  aflinta
- initial release
